class Constants {

  /// general setup
  static String appId = "com.tui.wowpay_flutter";
  static String iosAppId = "com.tui.wowpay_flutter";

  /// http headers
  static Object apiHeaders = {
    'Content-Type': 'application/json',
    'Accept': 'application/json',
  };

  static Map<String, String> backendHeaders = {
    'Content-Type': 'application/json',
    'Accept': 'application/json',
    'Authorization': 'Basic val'
  };

  /// api routes
  // static String apiBaseUrl = "https://wowpay.staging.goquo.io/v1/";
  // var hostSocket = "wss://wowpay-socket.staging.goquo.io"
  static String apiBaseUrl = "https://dev.console-api.wowpay.io/v1/";
  static String hostWs = 'wss://dev.console-api.wowpay.io/socket';
  static String paymentBaseUrl = apiBaseUrl + "payment/";
  static String encryptDataInfoUrl = paymentBaseUrl + "payment-options";
  static String innerCardUrl(String typeCard, String encValue) {
    return paymentBaseUrl + "inner-card/${typeCard}?encValue=${encValue}";
  }
}
