import 'package:equatable/equatable.dart';
import 'package:flutter/cupertino.dart';
import 'package:wowpay_flutter/models/payment.dart';

abstract class PaymentState extends Equatable{
  const PaymentState();
  @override
  // TODO: implement props
  List<Object> get props => [];
}
class PaymentStateInitial extends PaymentState {}
class PaymentStateLoading extends PaymentState {}
class PaymentStateSuccess extends PaymentState {
  final String payment;
  const PaymentStateSuccess({required this.payment}) :  assert(payment != null);
  @override
  // TODO: implement props
  List<Object> get props => [payment];
}
class PaymentStateFailure extends PaymentState {
  String exception;

  PaymentStateFailure({required this.exception});
}